<app-navbar [pseudo]="login" [avatar]="avatar" ng-hide="True"></app-navbar>
<mat-progress-bar
  mode="query"
  style="margin-bottom: 20px; position: absolute; top: 0;"
  [hidden]="!loading">
</mat-progress-bar>

<div class="container">
  <div class="row">
      <div class="col">
          <img src="assets/pokemon_image/pikachu.jpg">
      </div>
      <div id="login-form" class="col">
          <h1>Bienvenue</h1>
        <form>
          <div class="form-group">
            <label for="login">Login</label>
            <input type="text" class="form-control" id="login" placeholder="Login" name="login" [(ngModel)]="login">
          </div>
          <div class="form-group">
            <label for="exampleInputPassword1">Password</label>
            <input type="password" class="form-control" id="exampleInputPassword1" placeholder="Password" name="password" [(ngModel)]="password">
          </div>
          <!-- <div class="form-group form-check">
            <input type="checkbox" class="form-check-input" id="exampleCheck1">
            <label class="form-check-label" for="exampleCheck1">Check me out</label>
          </div> -->
          <button type="submit" class="btn btn-primary" (click)="checkLogin()">Connexion</button>
          <span style="margin-left: 20px;">Pas encore de compte ? <a routerLink="/register">Inscrivez-vous</a></span>
        </form>
        <span style="margin-top: 15px; display: block; color: #d71616;">{{error}}</span>
      </div>
  </div>
</div>
